﻿using FLY.Integrated.IService;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.Integrated.UI.Client.UiModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class WdK123 : FLY.ControlLibrary.WindowBigClose
    {
        FLY.OBJComponents.Client.SetPLCUpdatePlan setPlan;
        public WdK123()
        {
            InitializeComponent();


        }

        [InjectionMethod]
        public void Init(
            IIntegratedSystemService integratedSystemService)
        {
            grid_ibc.DataContext = integratedSystemService.Ibc;

            setPlan = new FLY.OBJComponents.Client.SetPLCUpdatePlan(
                integratedSystemService.PLCos,
                integratedSystemService.Ibc,
                new string[] {
                    "BubbleCorrR",
                    "BubbleCorrA",
                    "BubbleCorrB",
                    "BubbleCorrC",
                    "L",
                    "K1",
                    "K2",
                    "K3"
                });
        }
    }
}
