﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.IBC.UI.Client.UiModule
{
    /// <summary>
    /// Window_GraphSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdGraphSet : FLY.ControlLibrary.WindowBigClose
    {
        public WdGraphSet()
        {
            InitializeComponent();
            Init();
        }
        IbcCtrlGraphParams graphParams;

        [InjectionMethod]
        public void Init()
        {
            graphParams = IbcCtrlGraphParams.Current;
            stackpanel_show.DataContext = graphParams;
        }
        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            graphParams.Save();
            this.DialogResult = true;
            this.Close();
        }

    }
}
