﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FLY.Thick.Base.UI;
using Unity;

namespace FLY.Thick.Blowing.UI.Fix.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class PgMenu : Page
    {
        IUnityContainer container;
        public PgMenu()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }



        private void button_curve_Click(object sender, RoutedEventArgs e)
        {
            PgCurve p = new PgCurve();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }



        private void button_warning_Click(object sender, RoutedEventArgs e)
        {
            PgErrorTable p = new PgErrorTable();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }

        private void button_flyad_Click(object sender, RoutedEventArgs e)
        {
            PgFlyAd p = new PgFlyAd();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }



        private void button_version_Click(object sender, RoutedEventArgs e)
        {
            System.Diagnostics.Process.Start(@"版本说明.txt");
        }

        private void button_instruction_Click(object sender, RoutedEventArgs e)
        {
            System.Diagnostics.Process.Start(@"测厚仪说明书.pdf");
        }

        private void button_blowing_Click(object sender, RoutedEventArgs e)
        {
            PgBlowing p = new PgBlowing();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }

        private void button_scanwarning_Click(object sender, RoutedEventArgs e)
        {
            PgScanWarning p = new PgScanWarning();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }

        private void button_initparam_Click(object sender, RoutedEventArgs e)
        {
            PgInitparam p = new PgInitparam();
            container.BuildUp(p);
            NavigationService.Navigate(p);
        }
    }
}
